import {BotContext} from '../common';
import {Channel} from 'discord.js';

export const isThreadInSelectedForumChannel = async (context: BotContext, currentChannel?: Channel): Promise<boolean> => {
	if (!currentChannel) {
		return false;
	}
	const parentChannel = context.channel;
	if (typeof parentChannel === 'undefined') {
		return false;
	}
	if (currentChannel.id === parentChannel.id) {
		return true;
	}
	if (!('parentId' in currentChannel)) {
		return false;
	}
	if (!currentChannel.parentId) {
		return false;
	}
	const parent = await context.fetchChannel(currentChannel.parentId);
	if (!parent) {
		return false;
	}
	return await isThreadInSelectedForumChannel(context, parent);
};
